Subject: Re: [PATCH net v2] net: dlink: mask rx_coalesce/rx_timeout before writing RxDMAIntCtrl

From: "Yeounsu Moon" <[email-masked]>
Date: Tue, 06 Jan 2026 20:32:37 +0900

On Tue Jan 6, 2026 at 9:58 AM KST, Jakub Kicinski wrote:
> Realistically IDK if this is worth it.
>
> Paolo suggested in discussion on v1 that error checking could introduce
> a regression. If we take that concern seriously we can't change the
> (buggy) behavior at all.
>
> That said the overflow is on frames, for values > 64k and the ring is
> 256 so IDK how high values could possibly work here in the first place.
>
> Given this driver is using module params to configure coalescing I'd
> just leave this mess be. If you add ethtool configuration for
> coalescing make sure to correctly bound-check it.

Thanks for the feedback.

Understood. I'll drop this patch rather changing the current behavior.

If I add ethtool coalesce support for this driver, I'll make sure to
valid and properly bound-check the values before writing the register.

    Yeounsu Moon